﻿namespace HisInterfaceModels
{
    /// <summary>
    /// HIS发送的处方信息
    /// </summary>
    public class HisPrescriptionInfo
    {
        /// <summary>
        /// 处方类型
        /// </summary>
        public PrescriptionType Type { get; set; }
        /// <summary>
        /// 如果为退方，这里传要退的处方流水号。此编号在下单应答消息中提供
        /// </summary>
        public string RawRecordId { get; set; }
        /// <summary>
        /// 药品明细数量
        /// </summary>
        public string DrugCount { get; set; }
        /// <summary>
        /// 处方备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 带回病房 否
        /// </summary>
        public string TakeBack { get; set; }
        /// <summary>
        /// "操作类型": "煎药自取", or "操作类型": "煎药快递", or "操作类型": "配药快递"
        /// </summary>
        public string OpType { get; set; }
        /// <summary>
        /// 操作员
        /// </summary>
        public string OpUser { get; set; }
        /// <summary>
        /// 病区
        /// </summary>
        public string Area { get; set; }
        /// <summary>
        /// 病床号
        /// </summary>
        public string Bed { get; set; }
        /// <summary>
        /// 操作时间
        /// </summary>
        public string OpDatatime { get; set; }
        /// <summary>
        /// 处方号
        /// </summary>
        public string PrescriptionNo { get; set; }
        /// <summary>
        /// 处方日期
        /// </summary>
        public string PrescriptionDatatime { get; set; }
        /// <summary>
        /// 单位编号 医疗机构编号
        /// </summary>
        public string HosNo { get; set; }
        /// <summary>
        /// 医疗机构名称
        /// </summary>
        public string HosName { get; set; }
        /// <summary>
        /// 发票号
        /// </summary>
        public string InvoiceNo { get; set; }
        /// <summary>
        /// 病人编号
        /// </summary>
        public string PatientNo { get; set; }
        /// <summary>
        /// 病人卡号
        /// </summary>
        public string CardNo { get; set; }
        /// <summary>
        /// 科室名称
        /// </summary>
        public string DepName { get; set; }
        /// <summary>
        /// 病人年龄
        /// </summary>
        public string PatientAge { get; set; }
        /// <summary>
        /// 病人生日
        /// </summary>
        public string PatientBrithday { get; set; }
        /// <summary>
        /// 病人手机号码
        /// </summary>
        public string PatientMobile { get; set; }
        /// <summary>
        /// 病人电话
        /// </summary>
        public string PatientPhone { get; set; }
        /// <summary>
        /// 所在区县街道
        /// </summary>
        public string District { get; set; }
        /// <summary>
        /// 送货地址
        /// </summary>
        public string PostAddress { get; set; }
        /// <summary>
        /// 送货时间
        /// </summary>
        public string PostDatatime { get; set; }
        /// <summary>
        /// 贴数
        /// </summary>
        public string UseCount { get; set; }
        /// <summary>
        /// 病人性别
        /// </summary>
        public string PatientSex { get; set; }
        /// <summary>
        /// 病人姓名
        /// </summary>
        public string PatientName { get; set; }
        /// <summary>
        /// 医生姓名
        /// </summary>
        public string DoctorName { get; set; }
        /// <summary>
        /// 诊断
        /// </summary>
        public string Diagnosis { get; set; }
        /// <summary>
        /// 用法
        /// </summary>
        public string Usage { get; set; }
        /// <summary>
        /// 治疗号
        /// </summary>
        public string Zlh { get; set; }
        /// <summary>
        /// 收费序号
        /// </summary>
        public int Sfxh { get; set; }
        /// <summary>
        /// 收费费用序号
        /// </summary>
        public string Sffyxh { get; set; }
        /// <summary>
        /// 代煎药厂商代码
        /// </summary>
        public string CompanyCode { get; set; }
        /// <summary>
        /// 代煎药厂商名称
        /// </summary>
        public string CompanyName { get; set; }
    }
}
